glibmm 2.55.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Namespace List
- Namespace Members

Functions
Glib::detail Namespace Reference

## Functions
template<class Tuple , std::size_t... Is>
void | expand_tuple (std::vector< VariantBase >& variants, const Tuple& t, std::index_sequence< Is...>)
template<class T >
constexpr int | any_arg (T&&arg)
template<class Tuple , std::size_t... Is>
void | assign_tuple (std::vector< VariantBase >& variants, Tuple& t, std::index_sequence< Is...>)

## Function Documentation

template <class T >

constexpr int Glib::detail::any_arg | ( | T && | arg | ) |

template <class Tuple , std::size_t... Is>

void Glib::detail::assign_tuple | ( | std::vector< VariantBase >& | variants,
|  | Tuple & | t,
|  | std::index_sequence< Is...> |
| ) |  |

template <class Tuple , std::size_t... Is>

void Glib::detail::expand_tuple | ( | std::vector< VariantBase >& | variants,
|  | const Tuple & | t,
|  | std::index_sequence< Is...> |
| ) |  |